org.apache.cassandra.index.sasi.memory

## Class MemIndex

- java.lang.Object
- - org.apache.cassandra.index.sasi.memory.MemIndex

Direct Known Subclasses:
  SkipListMemIndex, TrieMemIndex

    public abstract class MemIndex
    extends java.lang.Object

### Field Summary

Fields
`protected ColumnIndex` `columnIndex`
`protected AbstractType<?>` `keyValidator`

### Constructor Summary

Constructors
`protected` `MemIndex(AbstractType<?> keyValidator, ColumnIndex columnIndex)`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract long` `add(DecoratedKey key, java.nio.ByteBuffer value)`
`static MemIndex` `forColumn(AbstractType<?> keyValidator, ColumnIndex columnIndex)`
`abstract RangeIterator<java.lang.Long,Token>` `search(Expression expression)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### keyValidator

    protected final AbstractType<?> keyValidator

#### columnIndex

    protected final ColumnIndex columnIndex

### Constructor Detail

#### MemIndex

    protected MemIndex(AbstractType<?> keyValidator,
                       ColumnIndex columnIndex)

### Method Detail

#### add

    public abstract long add(DecoratedKey key,
                             java.nio.ByteBuffer value)

#### search

    public abstract RangeIterator<java.lang.Long,Token> search(Expression expression)

#### forColumn

    public static MemIndex forColumn(AbstractType<?> keyValidator,
                                     ColumnIndex columnIndex)